import type { RdDefineProp, RdInType, RdNodeProp } from '@elowcode/robotdev-design-types';
export declare type IRdProperty = RdDefineProp;
export declare enum EPlatform {
    WX = "weixin"
}
export declare type EPlatformType = `${EPlatform}` | string;
export declare type TBaseTypes = 'string' | 'number' | 'boolean' | 'array' | 'object' | 'function';
export declare type TTypes = ('text' | 'richText' | 'password' | 'email' | 'mobilePhone' | 'telephone' | 'fax' | 'option' | 'url' | 'file' | 'image' | 'video' | 'datetime' | 'number' | 'amount' | 'whether' | 'icon' | 'module' | 'sequence') | RdInType | string;
export interface IPropertyType {
    id: string;
    type: RdInType;
    extendPlatform?: boolean;
    platforms?: EPlatformType[];
    multiple?: boolean;
    minLength?: number;
    maxLength?: number;
    default?: any;
    rows?: boolean;
    ui?: {
        tag?: string;
        props?: RdNodeProp[];
    };
}
export declare const createPropertyId: () => string;
//# sourceMappingURL=property.d.ts.map