import type { RdDefineProp, RdDefinePropType } from '@elowcode/robotdev-design-types';
interface RdDefineFunctionOutput {
    desc?: string;
    types?: RdDefinePropType[];
}
export interface IDbFunction {
    id: string;
    name: string;
    type: 'component' | 'element' | 'template' | 'page' | 'action' | 'function' | '';
    desc?: string;
    tag?: string;
    icon?: string;
    func?: {
        parameters?: RdDefineProp[];
        output?: RdDefineFunctionOutput;
    };
    comment?: string;
    extendPlatform?: boolean;
    platforms?: string[];
}
export interface IUiFunction {
    id: string;
    name: string;
    type: 'component' | 'element' | 'template' | 'page' | 'action' | 'function' | '';
    desc?: string;
    tag?: string;
    icon?: string;
    comment?: string;
    parameters?: RdDefineProp[];
    output?: RdDefineFunctionOutput;
    extendPlatform?: boolean;
    platforms?: string[];
}
export declare const buildUiFunction: (props: IDbFunction) => Partial<IUiFunction>;
export declare const buildDbFunction: (props: IUiFunction) => IDbFunction;
export declare const createFunctionId: () => string;
export declare const newFunctionInput: (list: any[]) => RdDefineProp;
export declare const newFunctionInputType: () => RdDefinePropType;
export {};
//# sourceMappingURL=function.d.ts.map