import type { RdDefineProp, RdInType, RdNodeProp } from '@elowcode/robotdev-design-types';
export declare type IRdFunctionInputProp = RdDefineProp;
export declare type IPropType = ('text' | 'richText' | 'password' | 'email' | 'mobilePhone' | 'telephone' | 'fax' | 'option' | 'url' | 'file' | 'image' | 'video' | 'datetime' | 'number' | 'amount' | 'whether' | 'icon' | 'module' | 'sequence') | RdInType;
export declare type IPlatformType = string;
export interface IUiFunctionInputPropType {
    id: string;
    type: IPropType;
    extendPlatform?: boolean;
    platforms?: IPlatformType[];
    multiple?: boolean;
    minLength?: number;
    maxLength?: number;
    rows?: boolean;
    default?: any;
    ui: {
        tag?: string;
        props?: RdNodeProp[];
    };
}
export interface IUiFunctionInputProp {
    id: string;
    key: string;
    name: string;
    desc: string;
    types: IUiFunctionInputPropType[];
    default?: any;
}
export declare const buildUiFunctionInputProp: (rdProp: IRdFunctionInputProp) => Partial<IUiFunctionInputProp>;
export declare const buildRdFunctionInputProp: (uiProp: IUiFunctionInputProp) => IRdFunctionInputProp;
//# sourceMappingURL=input.d.ts.map