import type { RdDefineProp, RdDefinePropType } from '@elowcode/robotdev-design-types';
import { JsonFormTheme } from './themes/type';
import { JsonFormMode, RdJsonFormObjectValueItem, RdJsonFormValue } from './type';
export interface FormulaInfo {
    formulaName: string;
    parameters: RdDefineProp[];
    modeType: 'data' | 'function';
}
export interface JsonFormProps {
    mode?: JsonFormMode;
    childrenMode?: JsonFormMode;
    isBasicData?: boolean;
    autoFocus?: boolean;
    prop?: RdDefineProp;
    types?: RdDefinePropType | RdDefinePropType[];
    typesIndex?: number;
    valueType?: string;
    value?: RdJsonFormValue;
    theme?: JsonFormTheme;
    inArray?: boolean;
    inObject?: boolean;
    objectKey?: string;
    bindButtonText?: string;
    getHasBindText?: () => string | string;
    propHide?: (option: RdDefineProp) => boolean;
    cache?: Record<string, any>;
    databindOptions?: any;
    popoverContent?: any;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<import("@elowcode/robotdev-design-types").RdDataArguments>;
    };
    mode: {
        type: import("vue").PropType<JsonFormMode>;
        default: string;
    };
    types: {
        type: import("vue").PropType<RdDefinePropType | RdDefinePropType[]>;
    };
    theme: {
        type: import("vue").PropType<JsonFormTheme>;
    };
    childrenMode: {
        type: import("vue").PropType<JsonFormMode>;
    };
    isBasicData: {
        type: import("vue").PropType<boolean>;
        default: undefined;
    };
    autoFocus: {
        type: import("vue").PropType<boolean>;
        default: undefined;
    };
    prop: {
        type: import("vue").PropType<RdDefineProp<RdDefinePropType>>;
    };
    typesIndex: {
        type: import("vue").PropType<number>;
    };
    valueType: {
        type: import("vue").PropType<string>;
    };
    inArray: {
        type: import("vue").PropType<boolean>;
    };
    inObject: {
        type: import("vue").PropType<boolean>;
    };
    objectKey: {
        type: import("vue").PropType<string>;
    };
    bindButtonText: {
        type: import("vue").PropType<string>;
    };
    getHasBindText: {
        type: import("vue").PropType<() => string>;
    };
    propHide: {
        type: import("vue").PropType<(option: RdDefineProp<RdDefinePropType>) => boolean>;
    };
    cache: {
        type: import("vue").PropType<Record<string, any>>;
    };
    databindOptions: {
        type: import("vue").PropType<any>;
    };
    popoverContent: {
        type: import("vue").PropType<any>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (value: import("@elowcode/robotdev-design-types").RdDataArguments | undefined, key?: string | undefined, itemValue?: RdJsonFormObjectValueItem | undefined) => true;
    openBind: (config: {
        key?: string | undefined;
        value?: import("@elowcode/robotdev-design-types").RdDataArguments | undefined;
        type?: RdDefinePropType | undefined;
        types?: RdDefinePropType[] | undefined;
        onChange: (value: import("@elowcode/robotdev-design-types").RdDataArguments) => void;
    }) => true;
    choose: (config: {
        key?: string | undefined;
        value?: import("@elowcode/robotdev-design-types").RdDataArguments | undefined;
        type?: RdDefinePropType | undefined;
        types?: RdDefinePropType[] | undefined;
        onChange: (value: import("@elowcode/robotdev-design-types").RdDataArguments) => void;
    }) => true;
    openEditor: (config: {
        key?: string | undefined;
        value?: import("@elowcode/robotdev-design-types").RdDataArguments | undefined;
        type: RdDefinePropType;
        onChange: (value: import("@elowcode/robotdev-design-types").RdDataArguments) => void;
    }) => true;
    clear: () => true;
    focus: () => true;
    del: (...args: any[]) => undefined;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<import("@elowcode/robotdev-design-types").RdDataArguments>;
    };
    mode: {
        type: import("vue").PropType<JsonFormMode>;
        default: string;
    };
    types: {
        type: import("vue").PropType<RdDefinePropType | RdDefinePropType[]>;
    };
    theme: {
        type: import("vue").PropType<JsonFormTheme>;
    };
    childrenMode: {
        type: import("vue").PropType<JsonFormMode>;
    };
    isBasicData: {
        type: import("vue").PropType<boolean>;
        default: undefined;
    };
    autoFocus: {
        type: import("vue").PropType<boolean>;
        default: undefined;
    };
    prop: {
        type: import("vue").PropType<RdDefineProp<RdDefinePropType>>;
    };
    typesIndex: {
        type: import("vue").PropType<number>;
    };
    valueType: {
        type: import("vue").PropType<string>;
    };
    inArray: {
        type: import("vue").PropType<boolean>;
    };
    inObject: {
        type: import("vue").PropType<boolean>;
    };
    objectKey: {
        type: import("vue").PropType<string>;
    };
    bindButtonText: {
        type: import("vue").PropType<string>;
    };
    getHasBindText: {
        type: import("vue").PropType<() => string>;
    };
    propHide: {
        type: import("vue").PropType<(option: RdDefineProp<RdDefinePropType>) => boolean>;
    };
    cache: {
        type: import("vue").PropType<Record<string, any>>;
    };
    databindOptions: {
        type: import("vue").PropType<any>;
    };
    popoverContent: {
        type: import("vue").PropType<any>;
    };
}>> & {
    onChange?: ((value: import("@elowcode/robotdev-design-types").RdDataArguments | undefined, key?: string | undefined, itemValue?: RdJsonFormObjectValueItem | undefined) => any) | undefined;
    onFocus?: (() => any) | undefined;
    onClear?: (() => any) | undefined;
    onDel?: ((...args: any[]) => any) | undefined;
    onOpenBind?: ((config: {
        key?: string | undefined;
        value?: import("@elowcode/robotdev-design-types").RdDataArguments | undefined;
        type?: RdDefinePropType | undefined;
        types?: RdDefinePropType[] | undefined;
        onChange: (value: import("@elowcode/robotdev-design-types").RdDataArguments) => void;
    }) => any) | undefined;
    onChoose?: ((config: {
        key?: string | undefined;
        value?: import("@elowcode/robotdev-design-types").RdDataArguments | undefined;
        type?: RdDefinePropType | undefined;
        types?: RdDefinePropType[] | undefined;
        onChange: (value: import("@elowcode/robotdev-design-types").RdDataArguments) => void;
    }) => any) | undefined;
    onOpenEditor?: ((config: {
        key?: string | undefined;
        value?: import("@elowcode/robotdev-design-types").RdDataArguments | undefined;
        type: RdDefinePropType;
        onChange: (value: import("@elowcode/robotdev-design-types").RdDataArguments) => void;
    }) => any) | undefined;
}, {
    mode: JsonFormMode;
    isBasicData: boolean;
    autoFocus: boolean;
}>, {
    "bind-icon"?(_: {}): any;
    "bind-button"?(_: {}): any;
}>;
export default _default;
declare type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
//# sourceMappingURL=JsonForm.vue.d.ts.map