import { DataBindPropsCommon } from '../../../components/interaction-config/types/interaction';
import type { RdDefineProp, RdDefinePropType } from '@elowcode/robotdev-design-types';
import { ComputedRef } from 'vue';
import { JsonFormTheme } from '../themes/type';
import { JsonFormMode, RdJsonFormValue } from '../type';
interface Props {
    types: RdDefinePropType[];
    prop?: RdDefineProp;
}
export declare const ctxPropsProvidInit: (props: ComputedRef<Props>) => void;
export declare const ctxPropsInjectInit: () => ComputedRef<Props> | undefined;
export declare const commonInjectInit: () => {
    openEditor: (config: {
        propId?: string | undefined;
        value?: string | undefined;
        type: RdDefinePropType;
        onChange: (value: RdJsonFormValue) => void;
    }) => void;
    openBind: (config: {
        propId?: string | undefined;
        value?: import("@elowcode/robotdev-design-types").RdDataArguments | undefined;
        type: RdDefinePropType;
        onChange: (value: RdJsonFormValue) => void;
    }) => void;
    choose: (config: {
        propId?: string | undefined;
        value?: import("@elowcode/robotdev-design-types").RdDataArguments | undefined;
        type?: RdDefinePropType | undefined;
        types?: RdDefinePropType[] | undefined;
        onChange: (value: RdJsonFormValue) => void;
    }) => void;
    isChoose: any;
};
interface CommonProps {
    mode?: JsonFormMode;
    childrenMode?: JsonFormMode;
    isBasicData?: boolean;
    autoFocus?: boolean;
    prop?: RdDefineProp;
    types?: RdDefinePropType | RdDefinePropType[];
    typesIndex?: number;
    value?: RdJsonFormValue;
    theme?: JsonFormTheme;
    inArray?: boolean;
    inObject?: boolean;
    objectKey?: string;
    bindButtonText?: string;
    getHasBindText?: () => string | string;
    propHide?: (option: RdDefineProp) => boolean;
    cache?: Record<string, any>;
    databindOptions?: DataBindPropsCommon;
    popoverContent?: any;
}
export declare const commonPropsProvidInjectInit: (props: ComputedRef<CommonProps>, defaultProps: CommonProps) => ComputedRef<CommonProps>;
export declare const commonPropsInjectInit: () => ComputedRef<CommonProps>;
export declare const formulaInjectInit: () => ComputedRef<{
    argsLength: number;
}>;
export {};
//# sourceMappingURL=providInject.d.ts.map