import type { RdDefineProp, RdInType, RdNodeProp } from '@elowcode/robotdev-design-types';
export declare type IRdObject = RdDefineProp;
export declare enum EPlatform {
    WX = "weixin"
}
export declare type EPlatformType = `${EPlatform}` | string;
export declare type TBaseTypes = 'string' | 'number' | 'boolean' | 'array' | 'object' | 'function';
export declare type TTypes = ('text' | 'richText' | 'password' | 'email' | 'mobilePhone' | 'telephone' | 'fax' | 'option' | 'url' | 'file' | 'image' | 'video' | 'datetime' | 'number' | 'amount' | 'whether' | 'icon' | 'module' | 'sequence') | RdInType | string;
export interface IUiObjectType {
    id: string;
    type: TTypes;
    extendPlatform?: boolean;
    platforms?: EPlatformType[];
    multiple?: boolean;
    minLength?: number;
    maxLength?: number;
    default?: any;
    rows?: boolean;
    ui?: {
        tag?: string;
        props?: RdNodeProp[];
    };
}
export interface IUiObject {
    id: string;
    key: string;
    label: string;
    desc: string;
    required?: boolean;
    types: IUiObjectType[];
    default?: any;
}
export declare const buildUiObject: (rdProp: IRdObject) => Partial<IUiObject>;
export declare const buildRdObject: (uiProp: IUiObject) => IRdObject;
export declare const createObjectId: () => string;
//# sourceMappingURL=object.d.ts.map