import { RdInType } from '@elowcode/robotdev-design-types';
export declare enum Comparators {
    EQ = "eq",
    NEQ = "neq",
    STARTWITH = "startwith",
    NSTARTWITH = "nstartwith",
    ENDWITH = "endwith",
    NENDWITH = "nendwith",
    CONTAIN = "contain",
    NCONTAIN = "ncontain",
    IN = "in",
    NIN = "nin",
    NULL = "null",
    NNULL = "nnull",
    LTE = "lte",
    LT = "lt",
    GTE = "gte",
    GT = "gt",
    TODAY = "today",
    YESTERDAY = "yesterday",
    LAST7DAYS = "last7days",
    NEXT7DAYS = "next7days",
    LASTWEEK = "lastweek",
    NEXTWEEK = "nextweek",
    LASTMONTH = "lastmonth",
    CURRENTMONTH = "currentmonth",
    NEXTMONTH = "nextmonth",
    LASTYEAR = "lastyear",
    CURRENTYEAR = "currentyear",
    NEXTYEAR = "nextyear"
}
declare const DATA_TYPE_EXCLUDE_KEYS: readonly ["function", "date", "time", "style", "api", "functionData", "functionVoid", "unknown", "void", "assignment", "async", "action", "table", "stylecolor", "stylesize", "stylespace", "stylesizewh", "generic", "typeref", "array", ""];
export declare type ExcludeType = typeof DATA_TYPE_EXCLUDE_KEYS[number];
export declare type FinallyRdInType = Exclude<RdInType, ExcludeType>;
/**
 * 类型对应的比较符映射
 */
export declare const typeComparatorMapper: Record<FinallyRdInType, any>;
export declare const baseComparatorOptions: {
    value: Comparators;
    label: string;
}[];
export {};
//# sourceMappingURL=comparator.d.ts.map