export declare type RdInType = 'text' | 'rich-text' | 'possword' | 'email' | 'phone' | 'tel' | 'fax' | 'option' | 'date' | 'time' | 'datetime' | 'url' | 'image' | 'video' | 'file' | 'number' | 'amount' | 'sequence' | 'whether' | 'model' | 'module' | 'api' | 'apiData' | 'functionData' | 'functionVoid';
export declare type RdInMainType = 'text' | 'whether' | 'module' | 'api' | 'apiData' | 'functionData' | 'functionVoid';
export declare type RdSysInType = 'apiFilter' | 'apiOrder';
export declare type RdOldInType = 'declPath';
export declare type RdOutType = 'text' | 'number' | 'whether' | 'module' | 'void' | 'assignment' | 'async';
export declare type RdOutMainType = 'text' | 'whether' | 'module' | 'functionData' | 'functionVoid';
export declare type RdObject = {
    [key: string]: RdDataArguments | RdActionArguments;
};
export declare type RdBasicData = string | number | boolean | RdObject | string[] | number[] | boolean[] | RdObject[] | null;
export declare type RdDataArguments = RdBasicData | RdData | RdConditionData;
export declare type RdActionArguments = RdBasicData | RdData | RdAction | RdConditionData | RdConditionAction | RdActionArguments[];
export interface RdData {
    action: string;
    arguments: {
        [parameterName: string]: RdDataArguments;
    };
}
export interface RdData {
    __isAction__: true;
    action: string;
    arguments: {
        [parameterName: string]: RdDataArguments;
    };
}
export interface RdAction {
    __isAction__: true;
    action: string;
    arguments: {
        [parameterName: string]: RdActionArguments;
    };
}
export declare type RdJsonPath = (string | number | RdData)[];
export interface RdCallFunctionData {
    __isAction__: true;
    action: 'callFunctionData';
    arguments: {
        functionId: string;
        arguments: {
            [key: string]: string;
        };
    };
}
export interface RdCallFunctionAction {
    __isAction__: true;
    action: 'callFunctionAction';
    arguments: {
        functionId: string;
        arguments: {
            [key: string]: string;
        };
    };
}
export interface RdBindCompare {
    __isAction__: true;
    action: 'whether' | 'compare';
    arguments: {
        logic: 'eq' | 'nor' | 'gt' | 'gte' | 'lt' | 'lte' | 'in' | 'noin';
        left: RdBasicData | RdData | RdCallFunctionData;
        right: RdBasicData | RdData | RdCallFunctionData;
    };
}
export interface RdConditionData {
    __isAction__: true;
    action: 'if';
    arguments: {
        ifs: {
            operation?: 'and' | 'or';
            if: RdBindCompare[];
            return: RdConditionData | RdBasicData | RdData | RdCallFunctionData | RdLambda;
        }[];
        else: {
            return: RdConditionData | RdBasicData | RdData | RdCallFunctionData | RdLambda;
        };
    };
}
export interface RdConditionAction {
    action: 'when';
    arguments: {
        ifs: {
            operation?: 'and' | 'or';
            if: RdBindCompare[];
            actions: (RdConditionAction | RdAction)[];
        }[];
        else: {
            actions: (RdConditionAction | RdAction)[];
        };
    };
}
export interface RdNodeData {
    slotId?: string;
    props?: RdNodeProp[];
    events?: RdNodeEvent[];
    plugins?: any;
}
export interface RdNode {
    id: string;
    parentId: string | null;
    tag: string;
    type: 'element' | 'component';
    resourceId?: string;
    packageId?: string;
    source?: 'project' | 'product';
    comment?: string;
    name?: string;
    data?: RdNodeData;
    slotId?: string;
    nodes?: RdNode[];
    preId?: string;
    depth?: number;
}
export interface RdNodeProp {
    key: string;
    static?: any;
    dynamic?: RdData;
    ui?: {
        tag: string;
        props?: RdNodeProp[];
    };
}
export interface RdNodeEvent {
    key: string;
    actions: RdAction[];
}
export interface RdLambda {
    returnType: 'lambda';
    action: 'lambda';
    arguments: {
        actions: RdBasicData | RdData | RdCallFunctionData;
    };
}
export interface RdDisplay {
    mode: 'and' | 'or';
    config: {
        key: string;
        action: 'eq' | 'nor' | 'gt' | 'gte' | 'lt' | 'lte' | 'in' | 'noin';
        value: string | number | boolean | (string | number | boolean)[];
    }[];
}
export interface RdDefinePropType {
    type: RdInType | RdSysInType | RdOldInType;
    multiple?: boolean;
    modelId?: string;
    min?: number;
    max?: number;
    props?: RdDefineProp[];
    ui?: {
        tag: string;
        props?: RdNodeProp[];
    };
}
export interface RdDefineProp {
    key: string;
    title?: string;
    types: RdDefinePropType[];
    required?: boolean;
}
export interface RdComponentDefineProp extends RdDefineProp {
    types: RdDefinePropType[];
    default?: any;
    ui?: {
        title: string;
        desc?: string;
        display?: RdDisplay;
    };
}
export interface RdComponentDefineEvent {
    key: string;
    ui?: {
        title: string;
        desc?: string;
    };
    parameters: RdDefineProp[];
}
export interface RdComponentDefineSlots {
    key: string;
    ui?: {
        title: string;
        desc?: string;
    };
    props: RdDefineProp[];
    isDefault: boolean;
}
export interface RdDefineAction {
    action: string;
    types: {
        type: RdOutType;
        multiple?: boolean;
    }[];
    title?: string;
    parameters: RdDefineProp[];
}
export interface RdEvent {
    key: 'loading';
    actions: RdAction[];
}
export interface RdDecl {
    id: string;
    type: 'var' | 'closer';
    value: RdBasicData | RdData | RdAction;
    dataType: string;
    title?: string;
}
//# sourceMappingURL=action-types.d.ts.map